package com.ruoyi.dxp.dto.redis;

import java.io.Serializable;
import java.util.List;

public class RedisServiceCacheServiceConfigDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String serviceUrl;

    private String requestMethod;

    private String paramForm;

    private String authWay;

    private String requestParam;

    private List<RedisServiceCacheColumnMap> columnMap;

    public String getServiceUrl() {
        return serviceUrl;
    }

    public void setServiceUrl(String serviceUrl) {
        this.serviceUrl = serviceUrl;
    }

    public String getRequestMethod() {
        return requestMethod;
    }

    public void setRequestMethod(String requestMethod) {
        this.requestMethod = requestMethod;
    }

    public String getParamForm() {
        return paramForm;
    }

    public void setParamForm(String paramForm) {
        this.paramForm = paramForm;
    }

    public String getAuthWay() {
        return authWay;
    }

    public void setAuthWay(String authWay) {
        this.authWay = authWay;
    }

    public String getRequestParam() {
        return requestParam;
    }

    public void setRequestParam(String requestParam) {
        this.requestParam = requestParam;
    }

    public List<RedisServiceCacheColumnMap> getColumnMap() {
        return columnMap;
    }

    public void setColumnMap(List<RedisServiceCacheColumnMap> columnMap) {
        this.columnMap = columnMap;
    }
}
